apiVersion: v1
kind: Pod
metadata:
  annotations:
    capabilities: Full Lifecycle
    categories: OpenShift Optional, Security
    containerImage: registry.redhat.io/quay/quay-container-security-rhel8-operator@sha256:ecf1e5ad2616ace76253403b66858af7485810ad5972a08b0aecbd0cfd77caaa
    createdAt: "2020-05-20 17:15:55"
    description: Identify image vulnerabilities in Kubernetes pods
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.85.9.127"
          ],
          "default": true,
          "dns": {}
      }]
    k8s.v1.cni.cncf.io/networks-status: |-
      [{
          "name": "openshift-sdn",
          "interface": "eth0",
          "ips": [
              "10.85.9.127"
          ],
          "default": true,
          "dns": {}
      }]
    olm.operatorGroup: openshift-operators-redhat
    olm.operatorNamespace: openshift-operators-redhat
    olm.targetNamespaces: ""
    openshift.io/scc: restricted
    repository: https://github.com/quay/container-security-operator
    tectonic-visibility: ocs
  creationTimestamp: "2021-02-15T13:03:30Z"
  generateName: container-security-operator-6cc6bd85d9-
  labels:
    name: container-security-operator-alm-owned
    pod-template-hash: 6cc6bd85d9
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:capabilities: {}
          f:categories: {}
          f:containerImage: {}
          f:createdAt: {}
          f:description: {}
          f:olm.operatorGroup: {}
          f:olm.operatorNamespace: {}
          f:olm.targetNamespaces: {}
          f:repository: {}
          f:tectonic-visibility: {}
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"a74d6d96-80b2-4060-9a5c-628311405de0"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"container-security-operator"}:
            .: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"MY_POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"MY_POD_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/extra-certs"}:
                .: {}
                f:mountPath: {}
                f:name: {}
                f:readOnly: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:terminationGracePeriodSeconds: {}
        f:volumes:
          .: {}
          k:{"name":"extra-certs"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:optional: {}
              f:secretName: {}
    manager: kube-controller-manager
    operation: Update
    time: "2021-02-15T13:03:30Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.v1.cni.cncf.io/network-status: {}
          f:k8s.v1.cni.cncf.io/networks-status: {}
    manager: multus
    operation: Update
    time: "2021-02-15T13:03:32Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.85.9.127"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2021-02-15T13:03:37Z"
  name: container-security-operator-6cc6bd85d9-6xnck
  namespace: openshift-operators-redhat
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: container-security-operator-6cc6bd85d9
    uid: a74d6d96-80b2-4060-9a5c-628311405de0
  resourceVersion: "616002957"
  selfLink: /api/v1/namespaces/openshift-operators-redhat/pods/container-security-operator-6cc6bd85d9-6xnck
  uid: 7a33ba85-45cd-4d1a-960e-6ab4c7596bc2
spec:
  containers:
  - command:
    - /bin/security-labeller
    - --namespaces=$(WATCH_NAMESPACE)
    - --extraCerts=/extra-certs
    env:
    - name: MY_POD_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: MY_POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.annotations['olm.targetNamespaces']
    image: registry.redhat.io/quay/quay-container-security-rhel8-operator@sha256:ecf1e5ad2616ace76253403b66858af7485810ad5972a08b0aecbd0cfd77caaa
    imagePullPolicy: IfNotPresent
    name: container-security-operator
    resources: {}
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000160000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /extra-certs
      name: extra-certs
      readOnly: true
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: container-security-operator-token-qtv8k
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: container-security-operator-dockercfg-bk7sl
  nodeName: lzt01sw0038
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000160000
    seLinuxOptions:
      level: s0:c13,c2
  serviceAccount: container-security-operator
  serviceAccountName: container-security-operator
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: extra-certs
    secret:
      defaultMode: 420
      optional: true
      secretName: container-security-operator-extra-certs
  - name: container-security-operator-token-qtv8k
    secret:
      defaultMode: 420
      secretName: container-security-operator-token-qtv8k
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2021-02-15T13:03:30Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2021-02-15T13:03:37Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2021-02-15T13:03:37Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2021-02-15T13:03:30Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://a7dfd069fa4d7d546bcd97d2093c277d98ca5b44c7ded644c6ae38e06bf1e6d9
    image: registry.redhat.io/quay/quay-container-security-rhel8-operator@sha256:ecf1e5ad2616ace76253403b66858af7485810ad5972a08b0aecbd0cfd77caaa
    imageID: registry.redhat.io/quay/quay-container-security-rhel8-operator@sha256:ecf1e5ad2616ace76253403b66858af7485810ad5972a08b0aecbd0cfd77caaa
    lastState: {}
    name: container-security-operator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2021-02-15T13:03:36Z"
  hostIP: 10.138.133.101
  phase: Running
  podIP: 10.85.9.127
  podIPs:
  - ip: 10.85.9.127
  qosClass: BestEffort
  startTime: "2021-02-15T13:03:30Z"
